(window.webpackJsonp=window.webpackJsonp||[]).push([[30],{472:function(s,a,e){"use strict";e.r(a);var t=e(8),n=Object(t.a)({},(function(){var s=this,a=s.$createElement,e=s._self._c||a;return e("ContentSlotsDistributor",{attrs:{"slot-key":s.$parent.slotKey}},[e("h1",{attrs:{id:"gamm"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#gamm"}},[s._v("#")]),s._v(" GAMM")]),s._v(" "),e("p",[s._v("The "),e("code",[s._v("GAMM")]),s._v(" module ("),e("strong",[s._v("G")]),s._v("eneralized "),e("strong",[s._v("A")]),s._v("utomated "),e("strong",[s._v("M")]),s._v("arket "),e("strong",[s._v("M")]),s._v("aker) provides the logic to create and interact with liquidity pools on the Osmosis DEX.")]),s._v(" "),e("br"),s._v(" "),e("br"),s._v(" "),e("h2",{attrs:{id:"overview"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#overview"}},[s._v("#")]),s._v(" Overview")]),s._v(" "),e("h3",{attrs:{id:"network-parameters"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#network-parameters"}},[s._v("#")]),s._v(" Network Parameters")]),s._v(" "),e("p",[s._v("Pools have the following parameters:")]),s._v(" "),e("ul",[e("li",[s._v("SwapFee")]),s._v(" "),e("li",[s._v("ExitFee")]),s._v(" "),e("li",[s._v("FutureGovernor")]),s._v(" "),e("li",[s._v("Weights")]),s._v(" "),e("li",[s._v("SmoothWeightChangeParams")])]),s._v(" "),e("p",[s._v("We will go through these in sequence.")]),s._v(" "),e("ol",[e("li",[e("strong",[s._v("SwapFee")]),s._v(" -\nThe swap fee is the cut of all swaps that goes to the Liquidity Providers (LPs) for a pool. Suppose a pool has a swap fee "),e("code",[s._v("s")]),s._v(". Then if a user wants to swap "),e("code",[s._v("T")]),s._v(" tokens in the pool, "),e("code",[s._v("sT")]),s._v(" tokens go to the LP's, and then "),e("code",[s._v("(1 - s)T")]),s._v(" tokens are swapped according to the AMM swap function.")]),s._v(" "),e("li",[e("strong",[s._v("ExitFee")]),s._v(" -\nThe exit fee is a fee that is applied to LP's that want to remove their liquidity from the pool. Suppose a pool has an exit fee "),e("code",[s._v("e")]),s._v(". If they currently have "),e("code",[s._v("S")]),s._v(" LP shares, then when they remove their liquidity they get tokens worth "),e("code",[s._v("(1 - e)S")]),s._v(" shares back. The remaining "),e("code",[s._v("eS")]),s._v(" shares are then burned, and the tokens corresponding to these shares are kept as liquidity.")]),s._v(" "),e("li",[e("strong",[s._v("FutureGovernor")]),s._v(" -\nOsmosis plans to allow every pool to act as a DAO, with its own governance in a future upgrade. To facilitate this transition, we allow pools to specify who the governor should be as a string. There are currently 3 options for the future governor.\n"),e("ul",[e("li",[s._v("No one will govern it. This is done by leaving the future governor string as blank.")]),s._v(" "),e("li",[s._v("Allow a given address to govern it. This is done by setting the future governor as a bech32 address.")]),s._v(" "),e("li",[s._v("Lockups to a token. This is the full DAO scenario. The future governor specifies a token denomination "),e("code",[s._v("denom")]),s._v(", and a lockup duration "),e("code",[s._v("duration")]),s._v('. This says that "all tokens of denomination '),e("code",[s._v("denom")]),s._v(" that are locked up for "),e("code",[s._v("duration")]),s._v(' or longer, have equal say in governance of this pool".')])])]),s._v(" "),e("li",[e("strong",[s._v("Weights")]),s._v(" -\nThis defines the weights of the pool - "),e("a",{attrs:{href:"https://balancer.fi/whitepaper.pdf",target:"_blank",rel:"noopener noreferrer"}},[s._v("https://balancer.fi/whitepaper.pdf"),e("OutboundLink")],1)]),s._v(" "),e("li",[e("strong",[s._v("SmoothWeightChangeParams")]),s._v(" -\nThis allows pool governance to smoothly change the weights of the assets it holds in the pool. So it can slowly move from a 2:1 ratio, to a 1:1 ratio. Currently, smooth weight changes are implemented as a linear change in weight ratios over a given duration of time. So weights changed from 4:1 to 2:2 over 2 days, then at day 1 of the change, the weights would be 3:1.5, and at day 2 its 2:2, and will remain at these weight ratios.")])]),s._v(" "),e("p",[s._v("The GAMM module also has a "),e("strong",[s._v("PoolCreationFee")]),s._v(" parameter, which currently is set to "),e("code",[s._v("100000000 uosmo")]),s._v(" or "),e("code",[s._v("100 OSMO")]),s._v(".")]),s._v(" "),e("br"),s._v(" "),e("br"),s._v(" "),e("h2",{attrs:{id:"transactions"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#transactions"}},[s._v("#")]),s._v(" Transactions")]),s._v(" "),e("h3",{attrs:{id:"create-pool"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#create-pool"}},[s._v("#")]),s._v(" create-pool")]),s._v(" "),e("p",[s._v("Create a new liquidity pool and provide initial liquidity to it.")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd tx gamm create-pool [config-file] --from --chain-id\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("The JSON [config-file] must specify the following parameters:")]),s._v(" "),e("div",{staticClass:"language-json line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-json"}},[e("code",[e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("{")]),s._v("\n\t"),e("span",{pre:!0,attrs:{class:"token property"}},[s._v('"weights"')]),e("span",{pre:!0,attrs:{class:"token operator"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("[")]),s._v("list weighted denoms"),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("]")]),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v(",")]),s._v("\n\t"),e("span",{pre:!0,attrs:{class:"token property"}},[s._v('"initial-deposit"')]),e("span",{pre:!0,attrs:{class:"token operator"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("[")]),s._v("list of denoms with initial deposit amount"),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("]")]),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v(",")]),s._v("\n\t"),e("span",{pre:!0,attrs:{class:"token property"}},[s._v('"swap-fee"')]),e("span",{pre:!0,attrs:{class:"token operator"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("[")]),s._v("swap fee in percentage"),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("]")]),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v(",")]),s._v("\n\t"),e("span",{pre:!0,attrs:{class:"token property"}},[s._v('"exit-fee"')]),e("span",{pre:!0,attrs:{class:"token operator"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("[")]),s._v("exit fee in percentage"),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("]")]),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v(",")]),s._v("\n\t"),e("span",{pre:!0,attrs:{class:"token property"}},[s._v('"future_pool_governor"')]),e("span",{pre:!0,attrs:{class:"token operator"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("[")]),s._v("see options in pool parameters section above"),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("]")]),s._v("\n"),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("}")]),s._v("\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br")])]),e("p",[s._v("Create a new 50/50 AKT-OSMO liquidity pool with a swap and exit fee of 1%.")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("osmosisd tx gamm create-pool --pool-file "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("[")]),s._v("config-file"),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("]")]),s._v(" --from WALLET_NAME --chain-id osmosis-1\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("The configuration json file contains the following parameters:")]),s._v(" "),e("div",{staticClass:"language-json line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-json"}},[e("code",[e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("{")]),s._v("\n\t"),e("span",{pre:!0,attrs:{class:"token property"}},[s._v('"weights"')]),e("span",{pre:!0,attrs:{class:"token operator"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"5ibc/1480B8FD20AD5FCAE81EA87584D269547DD4D436843C1D20F15E00EB64743EF4,5uosmo"')]),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v(",")]),s._v("\n\t"),e("span",{pre:!0,attrs:{class:"token property"}},[s._v('"initial-deposit"')]),e("span",{pre:!0,attrs:{class:"token operator"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"499404ibc/1480B8FD20AD5FCAE81EA87584D269547DD4D436843C1D20F15E00EB64743EF4,500000uosmo"')]),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v(",")]),s._v("\n\t"),e("span",{pre:!0,attrs:{class:"token property"}},[s._v('"swap-fee"')]),e("span",{pre:!0,attrs:{class:"token operator"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"0.01"')]),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v(",")]),s._v("\n\t"),e("span",{pre:!0,attrs:{class:"token property"}},[s._v('"exit-fee"')]),e("span",{pre:!0,attrs:{class:"token operator"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"0.01"')]),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v(",")]),s._v("\n\t"),e("span",{pre:!0,attrs:{class:"token property"}},[s._v('"future_pool_governor"')]),e("span",{pre:!0,attrs:{class:"token operator"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('""')]),s._v("\n"),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("}")]),s._v("\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br")])])]),s._v(" "),e("div",{staticClass:"custom-block warning"},[e("p",{staticClass:"custom-block-title"},[s._v("WARNING")]),s._v(" "),e("p",[s._v("There is now a 100 OSMO fee for creating pools.")])]),s._v(" "),e("h3",{attrs:{id:"join-pool"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#join-pool"}},[s._v("#")]),s._v(" join-pool")]),s._v(" "),e("p",[s._v("Add liquidity to a specified pool to get an "),e("strong",[s._v("exact")]),s._v(" amount of LP shares while specifying a "),e("strong",[s._v("maximum")]),s._v(" number tokens willing to swap to receive said LP shares.")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd tx gamm join-pool --pool-id --max-amounts-in --share-amount-out --from --chain-id\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Join "),e("code",[s._v("pool 3")]),s._v(" with a "),e("strong",[s._v("maximum")]),s._v(" of "),e("code",[s._v(".037753 AKT")]),s._v(" and the corresponding amount of "),e("code",[s._v("OSMO")]),s._v(" to get an "),e("strong",[s._v("exact")]),s._v(" share amount of "),e("code",[s._v("1.227549469722224220 gamm/pool/3")]),s._v(" using "),e("code",[s._v("WALLET_NAME")]),s._v(" on the osmosis mainnet:")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("osmosisd tx gamm join-pool --pool-id "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("3")]),s._v(" --max-amounts-in 37753ibc/1480B8FD20AD5FCAE81EA87584D269547DD4D436843C1D20F15E00EB64743EF4 --share-amount-out "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("1227549469722224220")]),s._v(" --from WALLET_NAME --chain-id osmosis-1\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"exit-pool"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#exit-pool"}},[s._v("#")]),s._v(" exit-pool")]),s._v(" "),e("p",[s._v("Remove liquidity from a specified pool with an "),e("strong",[s._v("exact")]),s._v(" amount of LP shares while specifying the "),e("strong",[s._v("minimum")]),s._v(" number of tokens willing to receive for said LP shares.")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd tx gamm exit-pool --pool-id --min-amounts-out --share-amount-in --from --chain-id\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Exit "),e("code",[s._v("pool 3")]),s._v(" with for "),e("strong",[s._v("exactly")]),s._v(" "),e("code",[s._v("1.136326462628731195 gamm/pool/3")]),s._v(" in order to receive a "),e("strong",[s._v("minimum")]),s._v(" of "),e("code",[s._v(".033358 AKT")]),s._v(" and the corresponding amount of "),e("code",[s._v("OSMO")]),s._v(" using "),e("code",[s._v("WALLET_NAME")]),s._v(" on the osmosis mainnet:")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("osmosisd tx gamm exit-pool --pool-id "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("3")]),s._v(" --min-amounts-out 33358ibc/1480B8FD20AD5FCAE81EA87584D269547DD4D436843C1D20F15E00EB64743EF4 --share-amount-in "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("1136326462628731195")]),s._v(" --from WALLET_NAME --chain-id osmosis-1\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"join-swap-extern-amount-in"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#join-swap-extern-amount-in"}},[s._v("#")]),s._v(" join-swap-extern-amount-in")]),s._v(" "),e("p",[s._v("Add liquidity to a specified pool with only one of the required assets (i.e. Join pool 1 (50/50 ATOM-OSMO) with just ATOM).")]),s._v(" "),e("p",[s._v("This command essentially swaps an "),e("strong",[s._v("exact")]),s._v(" amount of an asset for the required pairing and then converts the pair to a "),e("strong",[s._v("minimum")]),s._v(" of the requested LP shares in a single step (i.e. combines the "),e("code",[s._v("swap-exact-amount-in")]),s._v(" and "),e("code",[s._v("join-pool")]),s._v(" commands)")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd tx gamm join-swap-extern-amount-in [token-in] [share-out-min-amount] --from --pool-id --chain-id\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Join "),e("code",[s._v("pool 3")]),s._v(" with "),e("strong",[s._v("exactly")]),s._v(" "),e("code",[s._v(".200000 AKT")]),s._v(" (and "),e("code",[s._v("0 OSMO")]),s._v(") to get a "),e("strong",[s._v("minimum")]),s._v(" of "),e("code",[s._v("3.234812471272883046 gamm/pool/3")]),s._v(" using "),e("code",[s._v("WALLET_NAME")]),s._v(" on the osmosis mainnet:")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("osmosisd tx gamm join-swap-extern-amount-in 200000ibc/1480B8FD20AD5FCAE81EA87584D269547DD4D436843C1D20F15E00EB64743EF4 "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("3234812471272883046")]),s._v(" --pool-id "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("3")]),s._v(" --from WALLET_NAME --chain-id osmosis-1\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"exit-swap-extern-amount-out"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#exit-swap-extern-amount-out"}},[s._v("#")]),s._v(" exit-swap-extern-amount-out")]),s._v(" "),e("p",[s._v("Remove liquidity from a specified pool with a "),e("strong",[s._v("maximum")]),s._v(" amount of LP shares and swap to an "),e("strong",[s._v("exact")]),s._v(" amount of one of the token pairs (i.e. Leave pool 1 (50/50 ATOM-OSMO) and receive 100% ATOM instead of 50% OSMO and 50% ATOM).")]),s._v(" "),e("p",[s._v("This command essentially converts an LP share into the corresponding share of tokens and then swaps to the specified "),e("code",[s._v("token-out")]),s._v(" in a single step (i.e. combines the "),e("code",[s._v("swap-exact-amount-out")]),s._v(" and "),e("code",[s._v("exit-pool")]),s._v(" commands)")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd tx gamm exit-swap-extern-amount-out [token-out] [share-in-max-amount] --pool-id --from --chain-id\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Exit "),e("code",[s._v("pool 3")]),s._v(" by removing a "),e("strong",[s._v("maximum")]),s._v(" of "),e("code",[s._v("3.408979387886193586 gamm/pool/3")]),s._v(" and swap the "),e("code",[s._v("OSMO")]),s._v(" portion of the LP share to receive 100% AKT in the "),e("strong",[s._v("exact")]),s._v(" amount of "),e("code",[s._v("0.199430 AKT")]),s._v(":")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("osmosisd tx gamm exit-swap-extern-amount-out 199430ibc/1480B8FD20AD5FCAE81EA87584D269547DD4D436843C1D20F15E00EB64743EF4 "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("3408979387886193586")]),s._v(" --pool-id "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("3")]),s._v(" --from WALLET_NAME --chain-id osmosis-1\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"join-swap-share-amount-out"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#join-swap-share-amount-out"}},[s._v("#")]),s._v(" join-swap-share-amount-out")]),s._v(" "),e("p",[s._v("Swap a "),e("strong",[s._v("maximum")]),s._v(" amount of a specified token for another token, similar to swapping a token on the trade screen GUI (i.e. takes the specified asset and swaps it to the other asset needed to join the specified pool) and then adds an "),e("strong",[s._v("exact")]),s._v(" amount of LP shares to the specified pool.")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd tx gamm join-swap-share-amount-out [token-in-denom] [token-in-max-amount] [share-out-amount] --pool-id --from --chain-id\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Swap a "),e("strong",[s._v("maximum")]),s._v(" of "),e("code",[s._v("0.312466 OSMO")]),s._v(" for the corresponding amount of "),e("code",[s._v("AKT")]),s._v(", then join "),e("code",[s._v("pool 3")]),s._v(" and receive "),e("strong",[s._v("exactly")]),s._v(" "),e("code",[s._v("1.4481270389710236872 gamm/pool/3")]),s._v(":")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("osmosisd tx gamm join-swap-share-amount-out uosmo "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("312466")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("14481270389710236872")]),s._v(" --pool-id "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("3")]),s._v(" --from WALLET_NAME --chain-id osmosis-1\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"exit-swap-share-amount-in"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#exit-swap-share-amount-in"}},[s._v("#")]),s._v(" exit-swap-share-amount-in")]),s._v(" "),e("p",[s._v("Remove an "),e("strong",[s._v("exact")]),s._v(" amount of LP shares from a specified pool, swap the LP shares to one of the token pairs to receive a "),e("strong",[s._v("minimum")]),s._v(" of the specified token amount.")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("osmosisd tx gamm exit-swap-share-amount-in "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("[")]),s._v("token-out-denom"),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("]")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("[")]),s._v("share-in-amount"),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("]")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("[")]),s._v("token-out-min-amount"),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("]")]),s._v(" --pool-id --from --chain-id\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Exit "),e("code",[s._v("pool 3")]),s._v(" by removing "),e("strong",[s._v("exactly")]),s._v(" "),e("code",[s._v("14.563185400026723131 gamm/pool/3")]),s._v(" and swap the "),e("code",[s._v("AKT")]),s._v(" portion of the LP share to receive 100% OSMO in the "),e("strong",[s._v("minimum")]),s._v(" amount of "),e("code",[s._v(".298548 OSMO")]),s._v(":")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("osmosisd tx gamm exit-swap-share-amount-in uosmo "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("14563185400026723131")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("298548")]),s._v(" --pool-id "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("3")]),s._v(" --from WALLET_NAME --chain-id osmosis-1\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"swap-exact-amount-in"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#swap-exact-amount-in"}},[s._v("#")]),s._v(" swap-exact-amount-in")]),s._v(" "),e("p",[s._v("Swap an "),e("strong",[s._v("exact")]),s._v(" amount of tokens for a "),e("strong",[s._v("minimum")]),s._v(" of another token, similar to swapping a token on the trade screen GUI.")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd tx gamm swap-exact-amount-in [token-in] [token-out-min-amount] --pool-id --from --chain-id\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Swap "),e("strong",[s._v("exactly")]),s._v(" "),e("code",[s._v(".407239 AKT")]),s._v(" through "),e("code",[s._v("pool 3")]),s._v(" into a "),e("strong",[s._v("minimum")]),s._v(" of "),e("code",[s._v(".140530 OSMO")]),s._v(" using "),e("code",[s._v("WALLET_NAME")]),s._v(" on the osmosis mainnet:")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("osmosisd tx gamm swap-exact-amount-in 407239ibc/1480B8FD20AD5FCAE81EA87584D269547DD4D436843C1D20F15E00EB64743EF4 "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("140530")]),s._v(" --swap-route-pool-ids "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("3")]),s._v(" --swap-route-denoms uosmo --from WALLET_NAME --chain-id osmosis-1\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"swap-exact-amount-out"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#swap-exact-amount-out"}},[s._v("#")]),s._v(" swap-exact-amount-out")]),s._v(" "),e("p",[s._v("Swap a "),e("strong",[s._v("maximum")]),s._v(" amount of tokens for an "),e("strong",[s._v("exact")]),s._v(" amount of another token, similar to swapping a token on the trade screen GUI.")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd tx gamm swap-exact-amount-out [token-out] [token-out-max-amount] --swap-route-pool-ids --from --chain-id\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Swap a "),e("strong",[s._v("maximum")]),s._v(" of "),e("code",[s._v(".407239 AKT")]),s._v(" through "),e("code",[s._v("pool 3")]),s._v(" into "),e("strong",[s._v("exactly")]),s._v(" "),e("code",[s._v(".140530 OSMO")]),s._v(" using "),e("code",[s._v("WALLET_NAME")]),s._v(" on the osmosis mainnet:")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("osmosisd tx gamm swap-exact-amount-out 140530uosmo "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("407239")]),s._v(" --swap-route-pool-ids "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("3")]),s._v(" --swap-route-denoms ibc/1480B8FD20AD5FCAE81EA87584D269547DD4D436843C1D20F15E00EB64743EF4 --from WALLET_NAME --chain-id osmosis-1\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])])]),s._v(" "),e("h2",{attrs:{id:"queries"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#queries"}},[s._v("#")]),s._v(" Queries")]),s._v(" "),e("h3",{attrs:{id:"estimate-swap-exact-amount-in"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#estimate-swap-exact-amount-in"}},[s._v("#")]),s._v(" estimate-swap-exact-amount-in")]),s._v(" "),e("p",[s._v("Query the estimated result of the "),e("a",{attrs:{href:"#swap-exact-amount-in"}},[s._v("swap-exact-amount-in")]),s._v(" transaction.")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query gamm estimate-swap-exact-amount-in [poolID] [sender] [tokenIn] --swap-route-pool-ids --swap-route-denoms\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Query the amount of ATOM (or "),e("code",[s._v("ibc/27394FB092D2ECCD56123C74F36E4C1F926001CEADA9CA97EA622B25F41E5EB2")]),s._v(") the "),e("code",[s._v("sender")]),s._v(" would receive for swapping "),e("code",[s._v("1 OSMO")]),s._v(" in "),e("code",[s._v("pool 1")]),s._v(".")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("osmosisd query gamm estimate-swap-exact-amount-in "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("1")]),s._v(" osmo123nfq6m8f88m4g3sky570unsnk4zng4uqv7cm8 1000000uosmo --swap-route-pool-ids "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("1")]),s._v(" --swap-route-denoms ibc/27394FB092D2ECCD56123C74F36E4C1F926001CEADA9CA97EA622B25F41E5EB2 \n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"estimate-swap-exact-amount-out"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#estimate-swap-exact-amount-out"}},[s._v("#")]),s._v(" estimate-swap-exact-amount-out")]),s._v(" "),e("p",[s._v("Query the estimated result of the "),e("a",{attrs:{href:"#swap-exact-amount-out"}},[s._v("swap-exact-amount-out")]),s._v(" transaction.")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query gamm estimate-swap-exact-amount-out [poolID] [sender] [tokenOut] --swap-route-pool-ids --swap-route-denoms\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Query the amount of "),e("code",[s._v("OSMO")]),s._v(" the "),e("code",[s._v("sender")]),s._v(" would require to swap 1 ATOM (or "),e("code",[s._v("1000000ibc/27394FB092D2ECCD56123C74F36E4C1F926001CEADA9CA97EA622B25F41E5EB2")]),s._v(") our of "),e("code",[s._v("pool 1")]),s._v(":")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("osmosisd query gamm estimate-swap-exact-amount-out "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("1")]),s._v(" osmo123nfq6m8f88m4g3sky570unsnk4zng4uqv7cm8 1000000ibc/27394FB092D2ECCD56123C74F36E4C1F926001CEADA9CA97EA622B25F41E5EB2 --swap-route-pool-ids "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("1")]),s._v(" --swap-route-denoms uosmo\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"num-pools"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#num-pools"}},[s._v("#")]),s._v(" num-pools")]),s._v(" "),e("p",[s._v("Query the number of active pools.")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("osmosisd query gamm num-pools\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("h3",{attrs:{id:"pool"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#pool"}},[s._v("#")]),s._v(" pool")]),s._v(" "),e("p",[s._v("Query the parameter and assets of a specific pool.")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query gamm pool [poolID] [flags]\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Query parameters and assets from "),e("code",[s._v("pool 1")]),s._v(".")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("osmosisd query gamm pool "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("1")]),s._v("\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("Which outputs:")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("  address: osmo1mw0ac6rwlp5r8wapwk3zs6g29h8fcscxqakdzw9emkne6c8wjp9q0t3v8t\n  id: "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("1")]),s._v("\n  pool_params:\n    swap_fee: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"0.003000000000000000"')]),s._v("\n    exit_fee: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"0.000000000000000000"')]),s._v("\n    smooth_weight_change_params: null\n  future_pool_governor: 24h\n  total_weight: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"1000000.000000000000000000"')]),s._v("\n  total_shares:\n    denom: gamm/pool/1\n    amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"252329392916236134754561337"')]),s._v("\n  pool_assets:\n  - "),e("span",{pre:!0,attrs:{class:"token operator"}},[s._v("|")]),s._v("\n    token:\n      denom: ibc/27394FB092D2ECCD56123C74F36E4C1F926001CEADA9CA97EA622B25F41E5EB2\n      amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"4024633105693"')]),s._v("\n    weight: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"500000.000000000000000000"')]),s._v("\n  - "),e("span",{pre:!0,attrs:{class:"token operator"}},[s._v("|")]),s._v("\n    token:\n      denom: uosmo\n      amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"21388879300450"')]),s._v("\n    weight: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"500000.000000000000000000"')]),s._v("\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br"),e("span",{staticClass:"line-number"},[s._v("8")]),e("br"),e("span",{staticClass:"line-number"},[s._v("9")]),e("br"),e("span",{staticClass:"line-number"},[s._v("10")]),e("br"),e("span",{staticClass:"line-number"},[s._v("11")]),e("br"),e("span",{staticClass:"line-number"},[s._v("12")]),e("br"),e("span",{staticClass:"line-number"},[s._v("13")]),e("br"),e("span",{staticClass:"line-number"},[s._v("14")]),e("br"),e("span",{staticClass:"line-number"},[s._v("15")]),e("br"),e("span",{staticClass:"line-number"},[s._v("16")]),e("br"),e("span",{staticClass:"line-number"},[s._v("17")]),e("br"),e("span",{staticClass:"line-number"},[s._v("18")]),e("br"),e("span",{staticClass:"line-number"},[s._v("19")]),e("br"),e("span",{staticClass:"line-number"},[s._v("20")]),e("br"),e("span",{staticClass:"line-number"},[s._v("21")]),e("br"),e("span",{staticClass:"line-number"},[s._v("22")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"pool-assets"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#pool-assets"}},[s._v("#")]),s._v(" pool-assets")]),s._v(" "),e("p",[s._v("Query the assets of a specific pool. This query is a reduced form of the "),e("a",{attrs:{href:"#pool"}},[s._v("pool")]),s._v(" query.")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query gamm pool-assets [poolID] [flags]\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Query the assets from "),e("code",[s._v("pool 1")]),s._v(".")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("osmosisd query gamm pool-assets "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("1")]),s._v("\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("Which outputs:")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("poolAssets:\n- token:\n    amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"4024839695885"')]),s._v("\n    denom: ibc/27394FB092D2ECCD56123C74F36E4C1F926001CEADA9CA97EA622B25F41E5EB2\n  weight: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"536870912000000"')]),s._v("\n- token:\n    amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"21387918414792"')]),s._v("\n    denom: uosmo\n  weight: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"536870912000000"')]),s._v("\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br"),e("span",{staticClass:"line-number"},[s._v("8")]),e("br"),e("span",{staticClass:"line-number"},[s._v("9")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"pool-params"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#pool-params"}},[s._v("#")]),s._v(" Pool Params")]),s._v(" "),e("p",[s._v("Query the parameters of a specific pool. This query is a reduced form of the "),e("a",{attrs:{href:"#pool"}},[s._v("pool")]),s._v(" query.")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query gamm pool-params [poolID] [flags]\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Query the parameters from pool 1.")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("osmosisd query gamm pool-params "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("1")]),s._v("\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("Which outputs:")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("swap_fee: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"0.003000000000000000"')]),s._v("\nexit_fee: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"0.000000000000000000"')]),s._v("\nsmooth_weight_change_params: null\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"pools"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#pools"}},[s._v("#")]),s._v(" pools")]),s._v(" "),e("p",[s._v("Query parameters and assets of all active pools.")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("osmosisd query gamm pools\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("h3",{attrs:{id:"spot-price"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#spot-price"}},[s._v("#")]),s._v(" spot-price")]),s._v(" "),e("p",[s._v("Query the spot price of a pool asset based on a specific pool it is in.")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query gamm spot-price [poolID] [tokenInDenom] [tokenOutDenom] [flags]\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Query the price of OSMO based on the price of ATOM in pool 1:")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("osmosisd query gamm spot-price "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("1")]),s._v(" uosmo ibc/27394FB092D2ECCD56123C74F36E4C1F926001CEADA9CA97EA622B25F41E5EB2\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("Which outputs:")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("spotPrice: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"5.314387014412388547"')]),s._v("\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("In other words, at the time of this writing, ~5.314 OSMO is equivalent to 1 ATOM.")])]),s._v(" "),e("h3",{attrs:{id:"total-liquidity"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#total-liquidity"}},[s._v("#")]),s._v(" total-liquidity")]),s._v(" "),e("p",[s._v("Query the total liquidity of all active pools.")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("osmosisd query gamm total-liquidity\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("h3",{attrs:{id:"total-share"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#total-share"}},[s._v("#")]),s._v(" total-share")]),s._v(" "),e("p",[s._v("Query the total amount of GAMM shares of a specific pool.")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query gamm total-share [poolID] [flags]\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Query the total amount of GAMM shares of pool 1.")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("osmosisd query gamm total-share "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("1")]),s._v("\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("Which outputs:")]),s._v(" "),e("div",{staticClass:"language-sh line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-sh"}},[e("code",[s._v("totalShares:\n  amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"252328895834096787303097071"')]),s._v("\n  denom: gamm/pool/1\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br")])]),e("p",[s._v("Indicating there are a total of "),e("code",[s._v("252328895.834096787303097071 gamm/pool/1")]),s._v(" at the time of this writing")])])])}),[],!1,null,null,null);a.default=n.exports}}]);