(window.webpackJsonp=window.webpackJsonp||[]).push([[32],{474:function(s,a,e){"use strict";e.r(a);var n=e(8),t=Object(n.a)({},(function(){var s=this,a=s.$createElement,e=s._self._c||a;return e("ContentSlotsDistributor",{attrs:{"slot-key":s.$parent.slotKey}},[e("h1",{attrs:{id:"incentives"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#incentives"}},[s._v("#")]),s._v(" Incentives")]),s._v(" "),e("p",[s._v("The "),e("code",[s._v("incentives")]),s._v(" module provides users the functionality to create gauges, which distributes reward tokens to the qualified lockups (from the "),e("code",[s._v("lockup")]),s._v(" module).")]),s._v(" "),e("br"),s._v(" "),e("br"),s._v(" "),e("h2",{attrs:{id:"overview"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#overview"}},[s._v("#")]),s._v(" Overview")]),s._v(" "),e("p",[s._v("The purpose of incentives module is to provide incentives to users who lock certain tokens for specified periods of time.")]),s._v(" "),e("p",[s._v("Locked tokens can be of any denomination, including LP tokens (gamm/pool/x), IBC tokens (tokens sent through IBC such as ibc/27394FB092D2ECCD56123C74F36E4C1F926001CEADA9CA97EA622B25F41E5EB2), and native tokens (such as ATOM or LUNA). The incentive amount is entered by the gauge creator. Rewards for a given pool of locked up tokens are pooled into a gauge until the disbursement time. At the disbursement time, they are distributed pro-rata (proportionally) to members of the pool.")]),s._v(" "),e("p",[s._v("Anyone can create a gauge and add rewards to the gauge. There is no way to withdrawal gauge rewards other than distribution.")]),s._v(" "),e("p",[s._v("There are two kinds of gauges: "),e("strong",[e("code",[s._v("perpetual")])]),s._v(" and "),e("strong",[e("code",[s._v("non-perpetual")])]),s._v(":")]),s._v(" "),e("ul",[e("li",[e("p",[e("strong",[e("code",[s._v("Non-perpetual")])]),s._v(" gauges distribute their tokens equally per epoch while the gauge is in the active period. These gauges get removed from the active queue after the distribution period finishes")])]),s._v(" "),e("li",[e("p",[e("strong",[e("code",[s._v("Perpetual gauges")])]),s._v(' distribute all their tokens at a single time and only distribute their tokens again once the gauge is refilled (this is mainly used to distribute minted OSMO tokens to LP token stakers). Perpetual gauges persist and will re-disburse tokens when refilled (there is no "active" period)')])])]),s._v(" "),e("br"),s._v(" "),e("br"),s._v(" "),e("h2",{attrs:{id:"transactions"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#transactions"}},[s._v("#")]),s._v(" Transactions")]),s._v(" "),e("h3",{attrs:{id:"create-gauge"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#create-gauge"}},[s._v("#")]),s._v(" create-gauge")]),s._v(" "),e("p",[s._v("Create a gauge to distribute rewards to users")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd tx incentives create-gauge [lockup_denom] [reward] [flags]\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example 1")]),s._v(" "),e("p",[s._v("I want to make incentives for LP tokens of pool 3, namely gamm/pool/3 that have been locked up for at least 1 day.\nI want to reward 100 AKT to this pool over 2 days (2 epochs). (50 rewarded on each day)\nI want the rewards to start dispersing on 21 December 2021 (1640081402 UNIX time)")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd tx incentives create-gauge gamm/pool/3 10000ibc/1480B8FD20AD5FCAE81EA87584D269547DD4D436843C1D20F15E00EB64743EF4 "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("\\")]),s._v(" \n--duration 24h  --start-time "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("1640081402")]),s._v(" --epochs "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("2")]),s._v(" --from WALLET_NAME --chain-id osmosis-1\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br")])])]),s._v(" "),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example 2")]),s._v(" "),e("p",[s._v("I want to make incentives for ATOM (ibc/27394FB092D2ECCD56123C74F36E4C1F926001CEADA9CA97EA622B25F41E5EB2) that have been locked up for at least 1 week (164h).\nI want to reward 1000 JUNO (ibc/46B44899322F3CD854D2D46DEEF881958467CDD4B3B10086DA49296BBED94BED) to ATOM holders perpetually (perpetually meaning I must add more tokens to this gauge myself every epoch). I want the reward to start dispersing immediately.")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd tx incentives create-gauge ibc/27394FB092D2ECCD56123C74F36E4C1F926001CEADA9CA97EA622B25F41E5EB2 "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("\\")]),s._v("\n1000000000ibc/46B44899322F3CD854D2D46DEEF881958467CDD4B3B10086DA49296BBED94BED --perpetual --duration 168h "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("\\")]),s._v("\n--from WALLET_NAME --chain-id osmosis-1\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"add-to-gauge"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#add-to-gauge"}},[s._v("#")]),s._v(" add-to-gauge")]),s._v(" "),e("p",[s._v("Add coins to a gauge previously created to distribute more rewards to users")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd tx incentives add-to-gauge [gauge_id] [rewards] [flags]\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("I want to refill the gauge with 500 JUNO to a previously created gauge (gauge ID 1914) after the distribution.")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd tx incentives add-to-gauge "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("1914")]),s._v(" 500000000ibc/46B44899322F3CD854D2D46DEEF881958467CDD4B3B10086DA49296BBED94BED "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("\\")]),s._v("\n--from WALLET_NAME --chain-id osmosis-1\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br")])])]),s._v(" "),e("h2",{attrs:{id:"queries"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#queries"}},[s._v("#")]),s._v(" Queries")]),s._v(" "),e("h3",{attrs:{id:"active-gauges"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#active-gauges"}},[s._v("#")]),s._v(" active-gauges")]),s._v(" "),e("p",[s._v("Query active gauges")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query incentives active-gauges [flags]\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query incentives active-gauges\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("An example output")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v('- coins: []\n  distribute_to:\n    denom: gamm/pool/99\n    duration: 604800s\n    lock_query_type: ByDuration\n    timestamp: "0001-01-01T00:00:00Z"\n  distributed_coins: []\n  filled_epochs: "0"\n  id: "297"\n  is_perpetual: true\n  num_epochs_paid_over: "1"\n  start_time: "2021-07-03T12:27:09.323840990Z"\n- coins: []\n  distribute_to:\n    denom: gamm/pool/99\n    duration: 1209600s\n    lock_query_type: ByDuration\n    timestamp: "0001-01-01T00:00:00Z"\n  distributed_coins: []\n  filled_epochs: "0"\n  id: "298"\n  is_perpetual: true\n  num_epochs_paid_over: "1"\n  start_time: "2021-07-03T12:27:09.323840990Z"\npagination:\n  next_key: BwEAAAAAAAAAHTIwMjEtMDctMDNUMTI6Mjc6MDkuMzIzODQwOTkw\n  total: "0"\n...\n')])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br"),e("span",{staticClass:"line-number"},[s._v("8")]),e("br"),e("span",{staticClass:"line-number"},[s._v("9")]),e("br"),e("span",{staticClass:"line-number"},[s._v("10")]),e("br"),e("span",{staticClass:"line-number"},[s._v("11")]),e("br"),e("span",{staticClass:"line-number"},[s._v("12")]),e("br"),e("span",{staticClass:"line-number"},[s._v("13")]),e("br"),e("span",{staticClass:"line-number"},[s._v("14")]),e("br"),e("span",{staticClass:"line-number"},[s._v("15")]),e("br"),e("span",{staticClass:"line-number"},[s._v("16")]),e("br"),e("span",{staticClass:"line-number"},[s._v("17")]),e("br"),e("span",{staticClass:"line-number"},[s._v("18")]),e("br"),e("span",{staticClass:"line-number"},[s._v("19")]),e("br"),e("span",{staticClass:"line-number"},[s._v("20")]),e("br"),e("span",{staticClass:"line-number"},[s._v("21")]),e("br"),e("span",{staticClass:"line-number"},[s._v("22")]),e("br"),e("span",{staticClass:"line-number"},[s._v("23")]),e("br"),e("span",{staticClass:"line-number"},[s._v("24")]),e("br"),e("span",{staticClass:"line-number"},[s._v("25")]),e("br"),e("span",{staticClass:"line-number"},[s._v("26")]),e("br"),e("span",{staticClass:"line-number"},[s._v("27")]),e("br"),e("span",{staticClass:"line-number"},[s._v("28")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"active-gauges-per-denom"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#active-gauges-per-denom"}},[s._v("#")]),s._v(" active-gauges-per-denom")]),s._v(" "),e("p",[s._v("Query active gauges per denom")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query incentives active-gauges-per-denom [denom] [flags]\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Query all active gauges distributing incentives to holders of gamm/pool/341")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query incentives active-gauges-per-denom gamm/pool/341\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("An example output:")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v('- coins: []\n  distribute_to:\n    denom: gamm/pool/341\n    duration: 604800s\n    lock_query_type: ByDuration\n    timestamp: "0001-01-01T00:00:00Z"\n  distributed_coins: []\n  filled_epochs: "0"\n  id: "1033"\n  is_perpetual: true\n  num_epochs_paid_over: "1"\n  start_time: "2021-09-06T22:42:52.139465318Z"\n- coins: []\n  distribute_to:\n    denom: gamm/pool/341\n    duration: 1209600s\n    lock_query_type: ByDuration\n    timestamp: "0001-01-01T00:00:00Z"\n  distributed_coins: []\n  filled_epochs: "0"\n  id: "1034"\n  is_perpetual: true\n  num_epochs_paid_over: "1"\n  start_time: "2021-09-06T22:42:52.139465318Z"\npagination:\n  next_key: BwEAAAAAAAAAHTIwMjEtMDctMDNUMTI6Mjc6MDkuMzIzODQwOTkw\n  total: "0"\n...\n')])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br"),e("span",{staticClass:"line-number"},[s._v("8")]),e("br"),e("span",{staticClass:"line-number"},[s._v("9")]),e("br"),e("span",{staticClass:"line-number"},[s._v("10")]),e("br"),e("span",{staticClass:"line-number"},[s._v("11")]),e("br"),e("span",{staticClass:"line-number"},[s._v("12")]),e("br"),e("span",{staticClass:"line-number"},[s._v("13")]),e("br"),e("span",{staticClass:"line-number"},[s._v("14")]),e("br"),e("span",{staticClass:"line-number"},[s._v("15")]),e("br"),e("span",{staticClass:"line-number"},[s._v("16")]),e("br"),e("span",{staticClass:"line-number"},[s._v("17")]),e("br"),e("span",{staticClass:"line-number"},[s._v("18")]),e("br"),e("span",{staticClass:"line-number"},[s._v("19")]),e("br"),e("span",{staticClass:"line-number"},[s._v("20")]),e("br"),e("span",{staticClass:"line-number"},[s._v("21")]),e("br"),e("span",{staticClass:"line-number"},[s._v("22")]),e("br"),e("span",{staticClass:"line-number"},[s._v("23")]),e("br"),e("span",{staticClass:"line-number"},[s._v("24")]),e("br"),e("span",{staticClass:"line-number"},[s._v("25")]),e("br"),e("span",{staticClass:"line-number"},[s._v("26")]),e("br"),e("span",{staticClass:"line-number"},[s._v("27")]),e("br"),e("span",{staticClass:"line-number"},[s._v("28")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"distributed-coins"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#distributed-coins"}},[s._v("#")]),s._v(" distributed-coins")]),s._v(" "),e("p",[s._v("Query coins distributed so far")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query incentives distributed-coins [flags]\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query incentives distributed-coins\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("An example output:")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v('coins:\n- amount: "27632051924"\n  denom: ibc/0954E1C28EB7AF5B72D24F3BC2B47BBB2FDF91BDDFD57B74B99E133AED40972A\n- amount: "3975960654"\n  denom: ibc/0EF15DF2F02480ADE0BB6E85D9EBB5DAEA2836D3860E9F97F9AADE4F57A31AA0\n- amount: "125999980901"\n  denom: ibc/1480B8FD20AD5FCAE81EA87584D269547DD4D436843C1D20F15E00EB64743EF4\n- amount: "434999992789"\n  denom: ibc/1DC495FCEFDA068A3820F903EDBD78B942FBD204D7E93D3BA2B432E9669D1A59\n- amount: "3001296"\n  denom: ibc/27394FB092D2ECCD56123C74F36E4C1F926001CEADA9CA97EA622B25F41E5EB2\n- amount: "1493887986685"\n  denom: ibc/3BCCC93AD5DF58D11A6F8A05FA8BC801CBA0BA61A981F57E91B8B598BF8061CB\n- amount: "372218215714"\n  denom: ibc/46B44899322F3CD854D2D46DEEF881958467CDD4B3B10086DA49296BBED94BED\n- amount: "1049999973206"\n  denom: ibc/4E5444C35610CC76FC94E7F7886B93121175C28262DDFDDE6F84E82BF2425452\n- amount: "11666666665116"\n  denom: ibc/7A08C6F11EF0F59EB841B9F788A87EC9F2361C7D9703157EC13D940DC53031FA\n- amount: "13199999715662"\n  denom: ibc/9712DBB13B9631EDFA9BF61B55F1B2D290B2ADB67E3A4EB3A875F3B6081B3B84\n- amount: "1177777428443"\n  denom: ibc/D805F1DA50D31B96E4282C1D4181EDDFB1A44A598BFF5666F4B43E4B8BEA95A5\n- amount: "466666567747"\n  denom: ibc/EA3E1640F9B1532AB129A571203A0B9F789A7F14BB66E350DCBFA18E1A1931F0\n- amount: "79999999178"\n  denom: ibc/F3FF7A84A73B62921538642F9797C423D2B4C4ACB3C7FCFFCE7F12AA69909C4B\n- amount: "65873607694598"\n  denom: uosmo\n')])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br"),e("span",{staticClass:"line-number"},[s._v("8")]),e("br"),e("span",{staticClass:"line-number"},[s._v("9")]),e("br"),e("span",{staticClass:"line-number"},[s._v("10")]),e("br"),e("span",{staticClass:"line-number"},[s._v("11")]),e("br"),e("span",{staticClass:"line-number"},[s._v("12")]),e("br"),e("span",{staticClass:"line-number"},[s._v("13")]),e("br"),e("span",{staticClass:"line-number"},[s._v("14")]),e("br"),e("span",{staticClass:"line-number"},[s._v("15")]),e("br"),e("span",{staticClass:"line-number"},[s._v("16")]),e("br"),e("span",{staticClass:"line-number"},[s._v("17")]),e("br"),e("span",{staticClass:"line-number"},[s._v("18")]),e("br"),e("span",{staticClass:"line-number"},[s._v("19")]),e("br"),e("span",{staticClass:"line-number"},[s._v("20")]),e("br"),e("span",{staticClass:"line-number"},[s._v("21")]),e("br"),e("span",{staticClass:"line-number"},[s._v("22")]),e("br"),e("span",{staticClass:"line-number"},[s._v("23")]),e("br"),e("span",{staticClass:"line-number"},[s._v("24")]),e("br"),e("span",{staticClass:"line-number"},[s._v("25")]),e("br"),e("span",{staticClass:"line-number"},[s._v("26")]),e("br"),e("span",{staticClass:"line-number"},[s._v("27")]),e("br"),e("span",{staticClass:"line-number"},[s._v("28")]),e("br"),e("span",{staticClass:"line-number"},[s._v("29")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"gauge-by-id"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#gauge-by-id"}},[s._v("#")]),s._v(" gauge-by-id")]),s._v(" "),e("p",[s._v("Query gauge by id")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query incentives gauge-by-id [id] [flags]\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Query the incentive distribution for gauge ID 1:")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query incentives gauge-by-id 1\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("gauge:\n  coins:\n  - amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"16654747773959"')]),s._v("\n    denom: uosmo\n  distribute_to:\n    denom: gamm/pool/1\n    duration: 86400s\n    lock_query_type: ByDuration\n    timestamp: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"0001-01-01T00:00:00Z"')]),s._v("\n  distributed_coins:\n  - amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"16589795315655"')]),s._v("\n    denom: uosmo\n  filled_epochs: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"182"')]),s._v("\n  id: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"1"')]),s._v("\n  is_perpetual: "),e("span",{pre:!0,attrs:{class:"token boolean"}},[s._v("true")]),s._v("\n  num_epochs_paid_over: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"1"')]),s._v("\n  start_time: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"2021-06-19T04:30:19.082462364Z"')]),s._v("\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br"),e("span",{staticClass:"line-number"},[s._v("8")]),e("br"),e("span",{staticClass:"line-number"},[s._v("9")]),e("br"),e("span",{staticClass:"line-number"},[s._v("10")]),e("br"),e("span",{staticClass:"line-number"},[s._v("11")]),e("br"),e("span",{staticClass:"line-number"},[s._v("12")]),e("br"),e("span",{staticClass:"line-number"},[s._v("13")]),e("br"),e("span",{staticClass:"line-number"},[s._v("14")]),e("br"),e("span",{staticClass:"line-number"},[s._v("15")]),e("br"),e("span",{staticClass:"line-number"},[s._v("16")]),e("br"),e("span",{staticClass:"line-number"},[s._v("17")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"gauges"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#gauges"}},[s._v("#")]),s._v(" gauges")]),s._v(" "),e("p",[s._v("Query available gauges")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query incentives gauges [flags]\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Query ALL gauges (by default the limit is 100, so here I will define a much larger number to output all gauges)")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query incentives gauges --limit "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("2000")]),s._v("\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("An example output:")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v('- coins:\n  - amount: "1924196414964"\n    denom: uosmo\n  distribute_to:\n    denom: gamm/pool/348\n    duration: 604800s\n    lock_query_type: ByDuration\n    timestamp: "0001-01-01T00:00:00Z"\n  distributed_coins: []\n  filled_epochs: "0"\n  id: "8"\n  is_perpetual: true\n  num_epochs_paid_over: "1"\n  start_time: "2021-10-04T13:59:02.142175968Z"\n- coins:\n  - amount: "641398804181"\n    denom: uosmo\n  distribute_to:\n    denom: gamm/pool/348\n    duration: 1209600s\n    lock_query_type: ByDuration\n    timestamp: "0001-01-01T00:00:00Z"\n  distributed_coins: []\n  filled_epochs: "0"\n  id: "9"\n  is_perpetual: true\n  num_epochs_paid_over: "1"\n  start_time: "2021-10-04T13:59:02.142175968Z"\npagination:\n  next_key: null\n  total: "0"\n...\n')])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br"),e("span",{staticClass:"line-number"},[s._v("8")]),e("br"),e("span",{staticClass:"line-number"},[s._v("9")]),e("br"),e("span",{staticClass:"line-number"},[s._v("10")]),e("br"),e("span",{staticClass:"line-number"},[s._v("11")]),e("br"),e("span",{staticClass:"line-number"},[s._v("12")]),e("br"),e("span",{staticClass:"line-number"},[s._v("13")]),e("br"),e("span",{staticClass:"line-number"},[s._v("14")]),e("br"),e("span",{staticClass:"line-number"},[s._v("15")]),e("br"),e("span",{staticClass:"line-number"},[s._v("16")]),e("br"),e("span",{staticClass:"line-number"},[s._v("17")]),e("br"),e("span",{staticClass:"line-number"},[s._v("18")]),e("br"),e("span",{staticClass:"line-number"},[s._v("19")]),e("br"),e("span",{staticClass:"line-number"},[s._v("20")]),e("br"),e("span",{staticClass:"line-number"},[s._v("21")]),e("br"),e("span",{staticClass:"line-number"},[s._v("22")]),e("br"),e("span",{staticClass:"line-number"},[s._v("23")]),e("br"),e("span",{staticClass:"line-number"},[s._v("24")]),e("br"),e("span",{staticClass:"line-number"},[s._v("25")]),e("br"),e("span",{staticClass:"line-number"},[s._v("26")]),e("br"),e("span",{staticClass:"line-number"},[s._v("27")]),e("br"),e("span",{staticClass:"line-number"},[s._v("28")]),e("br"),e("span",{staticClass:"line-number"},[s._v("29")]),e("br"),e("span",{staticClass:"line-number"},[s._v("30")]),e("br"),e("span",{staticClass:"line-number"},[s._v("31")]),e("br"),e("span",{staticClass:"line-number"},[s._v("32")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"rewards-estimation"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#rewards-estimation"}},[s._v("#")]),s._v(" rewards-estimation")]),s._v(" "),e("p",[s._v("Query rewards estimation")]),s._v(" "),e("p",[s._v('// Error: strconv.ParseUint: parsing "": invalid syntax')]),s._v(" "),e("h3",{attrs:{id:"to-distribute-coins"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#to-distribute-coins"}},[s._v("#")]),s._v(" to-distribute-coins")]),s._v(" "),e("p",[s._v("Query coins that is going to be distributed")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query incentives to-distribute-coins [flags]\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query incentives to-distribute-coins\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("An example output:")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v('coins:\n- amount: "20000000"\n  denom: gamm/pool/87\n- amount: "90791948076"\n  denom: ibc/0954E1C28EB7AF5B72D24F3BC2B47BBB2FDF91BDDFD57B74B99E133AED40972A\n- amount: "10000"\n  denom: ibc/1480B8FD20AD5FCAE81EA87584D269547DD4D436843C1D20F15E00EB64743EF4\n- amount: "1000"\n  denom: ibc/27394FB092D2ECCD56123C74F36E4C1F926001CEADA9CA97EA622B25F41E5EB2\n- amount: "10728832013315"\n  denom: ibc/3BCCC93AD5DF58D11A6F8A05FA8BC801CBA0BA61A981F57E91B8B598BF8061CB\n- amount: "627782783496"\n  denom: ibc/46B44899322F3CD854D2D46DEEF881958467CDD4B3B10086DA49296BBED94BED\n- amount: "450000026794"\n  denom: ibc/4E5444C35610CC76FC94E7F7886B93121175C28262DDFDDE6F84E82BF2425452\n- amount: "38333333334884"\n  denom: ibc/7A08C6F11EF0F59EB841B9F788A87EC9F2361C7D9703157EC13D940DC53031FA\n- amount: "46800000284338"\n  denom: ibc/9712DBB13B9631EDFA9BF61B55F1B2D290B2ADB67E3A4EB3A875F3B6081B3B84\n- amount: "2822222571557"\n  denom: ibc/D805F1DA50D31B96E4282C1D4181EDDFB1A44A598BFF5666F4B43E4B8BEA95A5\n- amount: "2533333432253"\n  denom: ibc/EA3E1640F9B1532AB129A571203A0B9F789A7F14BB66E350DCBFA18E1A1931F0\n- amount: "366164843847"\n  denom: uosmo\n')])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br"),e("span",{staticClass:"line-number"},[s._v("8")]),e("br"),e("span",{staticClass:"line-number"},[s._v("9")]),e("br"),e("span",{staticClass:"line-number"},[s._v("10")]),e("br"),e("span",{staticClass:"line-number"},[s._v("11")]),e("br"),e("span",{staticClass:"line-number"},[s._v("12")]),e("br"),e("span",{staticClass:"line-number"},[s._v("13")]),e("br"),e("span",{staticClass:"line-number"},[s._v("14")]),e("br"),e("span",{staticClass:"line-number"},[s._v("15")]),e("br"),e("span",{staticClass:"line-number"},[s._v("16")]),e("br"),e("span",{staticClass:"line-number"},[s._v("17")]),e("br"),e("span",{staticClass:"line-number"},[s._v("18")]),e("br"),e("span",{staticClass:"line-number"},[s._v("19")]),e("br"),e("span",{staticClass:"line-number"},[s._v("20")]),e("br"),e("span",{staticClass:"line-number"},[s._v("21")]),e("br"),e("span",{staticClass:"line-number"},[s._v("22")]),e("br"),e("span",{staticClass:"line-number"},[s._v("23")]),e("br"),e("span",{staticClass:"line-number"},[s._v("24")]),e("br"),e("span",{staticClass:"line-number"},[s._v("25")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"upcoming-gauges"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#upcoming-gauges"}},[s._v("#")]),s._v(" upcoming-gauges")]),s._v(" "),e("p",[s._v("Query scheduled gauges (gauges whose "),e("code",[s._v("start_time")]),s._v(" has not yet occurred)")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query incentives upcoming-gauges [flags]\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query incentives upcoming-gauges\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("Using this command, we will see the gauge we created earlier, among all other upcoming gauges:")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v('- coins:\n  - amount: "10000"\n    denom: ibc/1480B8FD20AD5FCAE81EA87584D269547DD4D436843C1D20F15E00EB64743EF4\n  distribute_to:\n    denom: gamm/pool/3\n    duration: 86400s\n    lock_query_type: ByDuration\n    timestamp: "1970-01-01T00:00:00Z"\n  distributed_coins: []\n  filled_epochs: "0"\n  id: "1914"\n  is_perpetual: false\n  num_epochs_paid_over: "2"\n  start_time: "2021-12-21T10:10:02Z"\n...\n')])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br"),e("span",{staticClass:"line-number"},[s._v("8")]),e("br"),e("span",{staticClass:"line-number"},[s._v("9")]),e("br"),e("span",{staticClass:"line-number"},[s._v("10")]),e("br"),e("span",{staticClass:"line-number"},[s._v("11")]),e("br"),e("span",{staticClass:"line-number"},[s._v("12")]),e("br"),e("span",{staticClass:"line-number"},[s._v("13")]),e("br"),e("span",{staticClass:"line-number"},[s._v("14")]),e("br"),e("span",{staticClass:"line-number"},[s._v("15")]),e("br")])])])])}),[],!1,null,null,null);a.default=t.exports}}]);