(window.webpackJsonp=window.webpackJsonp||[]).push([[33],{475:function(s,a,e){"use strict";e.r(a);var n=e(8),t=Object(n.a)({},(function(){var s=this,a=s.$createElement,e=s._self._c||a;return e("ContentSlotsDistributor",{attrs:{"slot-key":s.$parent.slotKey}},[e("h1",{attrs:{id:"lockup"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#lockup"}},[s._v("#")]),s._v(" Lockup")]),s._v(" "),e("p",[s._v("The "),e("code",[s._v("lockup")]),s._v(" module provides an interface for users to lock tokens (also known as bonding) in order to receive incentives.")]),s._v(" "),e("p",[s._v("After tokens have been added to a specific pool and turned into LP shares through the GAMM module, users can then lock these LP shares with a specific duration in order to begin earing rewards. To unlock these LP shares, users must trigger the unlock timer and wait for the unlock period that was set initially to be completed. After the unlock period is over, users can turn LP shares back into their respective share of tokens.")]),s._v(" "),e("br"),s._v(" "),e("br"),s._v(" "),e("h2",{attrs:{id:"overview"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#overview"}},[s._v("#")]),s._v(" Overview")]),s._v(" "),e("p",[s._v("There are currently three incentivize lockup periods; "),e("code",[s._v("1 day")]),s._v(" (86400s), "),e("code",[s._v("1 week")]),s._v(" (604800s), and "),e("code",[s._v("2 weeks")]),s._v(" (1209600s). When locking tokens in the 2 week period, the liquidity provider is effectively earning rewards for a combination of the 1 day, 1 week, and 2 week bonding periods. The 2 week period refers to how long it takes to unbond the LP shares. The liquidity provider can keep their LP shares bonded to the 2 week lockup period indefinitely. Unbonding is only required when the liquidity provider desires access to the underlying assets.")]),s._v(" "),e("p",[s._v("If the liquidity provider begins the unbonding process for their 2 week bonded LP shares, they will earn rewards for all three bonding periods during the first day of unbonding. After the first day passes, they will only receive rewards for the 1 day and 1 week lockup periods. After seven days pass, they will only receive the 1 day rewards until the 2 weeks is complete and their LP shares are unlocked. The below chart is a visual example of what was just explained.")]),s._v(" "),e("br"),s._v(" "),e("p",{staticStyle:{"text-align":"center"}},[e("img",{attrs:{src:"/img/bonding.png",height:"300"}})]),s._v(" "),e("br"),s._v(" "),e("br"),s._v(" "),e("h2",{attrs:{id:"transactions"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#transactions"}},[s._v("#")]),s._v(" Transactions")]),s._v(" "),e("h3",{attrs:{id:"lock-tokens"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#lock-tokens"}},[s._v("#")]),s._v(" lock-tokens")]),s._v(" "),e("p",[s._v("Bond tokens in a LP for a set duration")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd tx lockup lock-tokens [tokens] --duration --from --chain-id\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("To lockup "),e("code",[s._v("15.527546134174465309gamm/pool/3")]),s._v(" tokens for a "),e("code",[s._v("one day")]),s._v(" bonding period from "),e("code",[s._v("WALLET_NAME")]),s._v(" on the osmosis mainnet:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd tx lockup lock-tokens 15527546134174465309gamm/pool/3 --duration"),e("span",{pre:!0,attrs:{class:"token operator"}},[s._v("=")]),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"86400s"')]),s._v(" --from WALLET_NAME --chain-id osmosis-1\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("To lockup "),e("code",[s._v("25.527546134174465309gamm/pool/13")]),s._v(" tokens for a "),e("code",[s._v("one week")]),s._v(" bonding period from "),e("code",[s._v("WALLET_NAME")]),s._v(" on the osmosis testnet:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd tx lockup lock-tokens 25527546134174465309gamm/pool/13 --duration"),e("span",{pre:!0,attrs:{class:"token operator"}},[s._v("=")]),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"604800s"')]),s._v(" --from WALLET_NAME --chain-id osmo-testnet-1\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("To lockup "),e("code",[s._v("35.527546134174465309 gamm/pool/197")]),s._v(" tokens for a "),e("code",[s._v("two week")]),s._v(" bonding period from "),e("code",[s._v("WALLET_NAME")]),s._v(" on the osmosis mainnet:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd tx lockup lock-tokens 35527546134174465309gamm/pool/197 --duration"),e("span",{pre:!0,attrs:{class:"token operator"}},[s._v("=")]),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"1209600s"')]),s._v(" --from WALLET_NAME --chain-id osmosis-1\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"begin-unlock-by-id"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#begin-unlock-by-id"}},[s._v("#")]),s._v(" begin-unlock-by-id")]),s._v(" "),e("p",[s._v("Begin the unbonding process for tokens given their unique lock ID")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd tx lockup begin-unlock-by-id [id] --from --chain-id\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("To begin the unbonding time for all bonded tokens under id "),e("code",[s._v("75")]),s._v(" from "),e("code",[s._v("WALLET_NAME")]),s._v(" on the osmosis mainnet:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd tx lockup begin-unlock-by-id "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("75")]),s._v(" --from WALLET_NAME --chain-id osmosis-1\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])])]),s._v(" "),e("div",{staticClass:"custom-block warning"},[e("p",{staticClass:"custom-block-title"},[s._v("Note")]),s._v(" "),e("p",[s._v("The ID corresponds to the unique ID given to your lockup transaction (explained more in lock-by-id section)")])]),s._v(" "),e("h3",{attrs:{id:"begin-unlock-tokens"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#begin-unlock-tokens"}},[s._v("#")]),s._v(" begin-unlock-tokens")]),s._v(" "),e("p",[s._v("Begin unbonding process for all bonded tokens in a wallet")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd tx lockup begin-unlock-tokens --from --chain-id\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("To begin unbonding time for ALL pools and ALL bonded tokens in "),e("code",[s._v("WALLET_NAME")]),s._v(" on the osmosis mainnet:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd tx lockup begin-unlock-tokens --from"),e("span",{pre:!0,attrs:{class:"token operator"}},[s._v("=")]),s._v("WALLET_NAME --chain-id"),e("span",{pre:!0,attrs:{class:"token operator"}},[s._v("=")]),s._v("osmosis-1 --yes\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])])]),s._v(" "),e("h2",{attrs:{id:"queries"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#queries"}},[s._v("#")]),s._v(" Queries")]),s._v(" "),e("h3",{attrs:{id:"account-locked-beforetime"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#account-locked-beforetime"}},[s._v("#")]),s._v(" account-locked-beforetime")]),s._v(" "),e("p",[s._v("Query an account's unlocked records after a specified time (UNIX) has passed")]),s._v(" "),e("p",[s._v("In other words, if an account unlocked all their bonded tokens the moment the query was executed, only the locks that would have completed their bond time requirement by the time the "),e("code",[s._v("TIMESTAMP")]),s._v(" is reached will be returned.")]),s._v(" "),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("In this example, the current UNIX time is "),e("code",[s._v("1639776682")]),s._v(", 2 days from now is approx "),e("code",[s._v("1639971082")]),s._v(", and 15 days from now is approx "),e("code",[s._v("1641094282")]),s._v(".")]),s._v(" "),e("p",[s._v("An account's "),e("code",[s._v("ADDRESS")]),s._v(" is locked in both the "),e("code",[s._v("1 day")]),s._v(" and "),e("code",[s._v("1 week")]),s._v(" gamm/pool/3. To query the "),e("code",[s._v("ADDRESS")]),s._v(" with a timestamp 2 days from now "),e("code",[s._v("1639971082")]),s._v(":")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query lockup account-locked-beforetime ADDRESS "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("1639971082")]),s._v("\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("In this example will output the "),e("code",[s._v("1 day")]),s._v(" lock but not the "),e("code",[s._v("1 week")]),s._v(" lock:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("locks:\n- ID: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"571839"')]),s._v("\n  coins:\n  - amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"15527546134174465309"')]),s._v("\n    denom: gamm/pool/3\n  duration: 86400s\n  end_time: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"2021-12-18T23:32:58.900715388Z"')]),s._v("\n  owner: osmo1xqhlshlhs5g0acqgrkafdemvf5kz4pp4c2x259\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br"),e("span",{staticClass:"line-number"},[s._v("8")]),e("br")])]),e("p",[s._v("If querying the same "),e("code",[s._v("ADDRESS")]),s._v(" with a timestamp 15 days from now "),e("code",[s._v("1641094282")]),s._v(":")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query lockup account-locked-beforetime ADDRESS "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("1641094282")]),s._v("\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("In this example will output both the "),e("code",[s._v("1 day")]),s._v(" and "),e("code",[s._v("1 week")]),s._v(" lock:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("locks:\n- ID: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"572027"')]),s._v("\n  coins:\n  - amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"16120691802759484268"')]),s._v("\n    denom: gamm/pool/3\n  duration: "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("604800")]),s._v(".000006193s\n  end_time: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"0001-01-01T00:00:00Z"')]),s._v("\n  owner: osmo1xqhlshlhs5g0acqgrkafdemvf5kz4pp4c2x259\n- ID: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"571839"')]),s._v("\n  coins:\n  - amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"15527546134174465309"')]),s._v("\n    denom: gamm/pool/3\n  duration: 86400s\n  end_time: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"2021-12-18T23:32:58.900715388Z"')]),s._v("\n  owner: osmo1xqhlshlhs5g0acqgrkafdemvf5kz4pp4c2x259\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br"),e("span",{staticClass:"line-number"},[s._v("8")]),e("br"),e("span",{staticClass:"line-number"},[s._v("9")]),e("br"),e("span",{staticClass:"line-number"},[s._v("10")]),e("br"),e("span",{staticClass:"line-number"},[s._v("11")]),e("br"),e("span",{staticClass:"line-number"},[s._v("12")]),e("br"),e("span",{staticClass:"line-number"},[s._v("13")]),e("br"),e("span",{staticClass:"line-number"},[s._v("14")]),e("br"),e("span",{staticClass:"line-number"},[s._v("15")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"account-locked-coins"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#account-locked-coins"}},[s._v("#")]),s._v(" account-locked-coins")]),s._v(" "),e("p",[s._v("Query an account's locked (bonded) LP tokens")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query lockup account-locked-coins [address]\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query lockup account-locked-coins osmo1xqhlshlhs5g0acqgrkafdemvf5kz4pp4c2x259\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("An example output:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("coins:\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"413553955105681228583"')]),s._v("\n  denom: gamm/pool/1\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"32155370994266157441309"')]),s._v("\n  denom: gamm/pool/10\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"220957857520769912023"')]),s._v("\n  denom: gamm/pool/3\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"31648237936933949577"')]),s._v("\n  denom: gamm/pool/42\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"14162624050980051053569"')]),s._v("\n  denom: gamm/pool/5\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"1023186951315714985896914"')]),s._v("\n  denom: gamm/pool/9\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br"),e("span",{staticClass:"line-number"},[s._v("8")]),e("br"),e("span",{staticClass:"line-number"},[s._v("9")]),e("br"),e("span",{staticClass:"line-number"},[s._v("10")]),e("br"),e("span",{staticClass:"line-number"},[s._v("11")]),e("br"),e("span",{staticClass:"line-number"},[s._v("12")]),e("br"),e("span",{staticClass:"line-number"},[s._v("13")]),e("br")])]),e("div",{staticClass:"custom-block warning"},[e("p",{staticClass:"custom-block-title"},[s._v("Note")]),s._v(" "),e("p",[s._v("All GAMM amounts listed are 10^18. Move the decimal place to the left 18 places to get the GAMM amount listed in the GUI.")]),s._v(" "),e("p",[s._v("You may also specify a --height flag to see bonded LP tokens at a specified height (note: if running a pruned node, this may result in an error)")])])]),s._v(" "),e("h3",{attrs:{id:"account-locked-longer-duration"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#account-locked-longer-duration"}},[s._v("#")]),s._v(" account-locked-longer-duration")]),s._v(" "),e("p",[s._v("Query an account's locked records that are greater than or equal to a specified lock duration")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query lockup account-locked-longer-duration [address] [duration]\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Here is an example of querying an "),e("code",[s._v("ADDRESS")]),s._v(" for all "),e("code",[s._v("1 day")]),s._v(" or greater bonding periods:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query lockup account-locked-longer-duration osmo1xqhlshlhs5g0acqgrkafdemvf5kz4pp4c2x259 86400s\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("An example output:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("locks:\n- ID: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"572027"')]),s._v("\n  coins:\n  - amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"16120691802759484268"')]),s._v("\n    denom: gamm/pool/3\n  duration: "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("604800")]),s._v(".000006193s\n  end_time: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"0001-01-01T00:00:00Z"')]),s._v("\n  owner: osmo1xqhlshlhs5g0acqgrkafdemvf5kz4pp4c2x259\n- ID: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"571839"')]),s._v("\n  coins:\n  - amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"15527546134174465309"')]),s._v("\n    denom: gamm/pool/3\n  duration: 86400s\n  end_time: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"2021-12-18T23:32:58.900715388Z"')]),s._v("\n  owner: osmo1xqhlshlhs5g0acqgrkafdemvf5kz4pp4c2x259\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br"),e("span",{staticClass:"line-number"},[s._v("8")]),e("br"),e("span",{staticClass:"line-number"},[s._v("9")]),e("br"),e("span",{staticClass:"line-number"},[s._v("10")]),e("br"),e("span",{staticClass:"line-number"},[s._v("11")]),e("br"),e("span",{staticClass:"line-number"},[s._v("12")]),e("br"),e("span",{staticClass:"line-number"},[s._v("13")]),e("br"),e("span",{staticClass:"line-number"},[s._v("14")]),e("br"),e("span",{staticClass:"line-number"},[s._v("15")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"account-locked-longer-duration-denom"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#account-locked-longer-duration-denom"}},[s._v("#")]),s._v(" account-locked-longer-duration-denom")]),s._v(" "),e("p",[s._v("Query an account's locked records for a denom that is locked equal to or greater than the specified duration AND match a specified denom")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query lockup account-locked-longer-duration-denom [address] [duration] [denom]\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Here is an example of an "),e("code",[s._v("ADDRESS")]),s._v(" that is locked in both the "),e("code",[s._v("1 day")]),s._v(" and "),e("code",[s._v("1 week")]),s._v(" for both the gamm/pool/3 and gamm/pool/1, then queries the "),e("code",[s._v("ADDRESS")]),s._v(" for all bonding periods equal to or greater than "),e("code",[s._v("1 day")]),s._v(" for just the gamm/pool/3:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query lockup account-locked-longer-duration-denom osmo1xqhlshlhs5g0acqgrkafdemvf5kz4pp4c2x259 86400s gamm/pool/3\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("An example output:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("locks:\n- ID: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"571839"')]),s._v("\n  coins:\n  - amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"15527546134174465309"')]),s._v("\n    denom: gamm/pool/3\n  duration: 86400s\n  end_time: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"0001-01-01T00:00:00Z"')]),s._v("\n  owner: osmo1xqhlshlhs5g0acqgrkafdemvf5kz4pp4c2x259\n- ID: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"572027"')]),s._v("\n  coins:\n  - amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"16120691802759484268"')]),s._v("\n    denom: gamm/pool/3\n  duration: "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("604800")]),s._v(".000006193s\n  end_time: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"0001-01-01T00:00:00Z"')]),s._v("\n  owner: osmo1xqhlshlhs5g0acqgrkafdemvf5kz4pp4c2x259\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br"),e("span",{staticClass:"line-number"},[s._v("8")]),e("br"),e("span",{staticClass:"line-number"},[s._v("9")]),e("br"),e("span",{staticClass:"line-number"},[s._v("10")]),e("br"),e("span",{staticClass:"line-number"},[s._v("11")]),e("br"),e("span",{staticClass:"line-number"},[s._v("12")]),e("br"),e("span",{staticClass:"line-number"},[s._v("13")]),e("br"),e("span",{staticClass:"line-number"},[s._v("14")]),e("br"),e("span",{staticClass:"line-number"},[s._v("15")]),e("br")])]),e("p",[s._v("As shown, the gamm/pool/3 is returned but not the gamm/pool/1 due to the denom filter.")])]),s._v(" "),e("h3",{attrs:{id:"account-locked-longer-duration-not-unlocking"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#account-locked-longer-duration-not-unlocking"}},[s._v("#")]),s._v(" account-locked-longer-duration-not-unlocking")]),s._v(" "),e("p",[s._v("Query an account's locked records for a denom that is locked equal to or greater than the specified duration AND is not in the process of being unlocked")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query lockup account-locked-longer-duration-not-unlocking [address] [duration]\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Here is an example of an "),e("code",[s._v("ADDRESS")]),s._v(" that is locked in both the "),e("code",[s._v("1 day")]),s._v(" and "),e("code",[s._v("1 week")]),s._v(" gamm/pool/3, begins unlocking process for the "),e("code",[s._v("1 day")]),s._v(" bond, and queries the "),e("code",[s._v("ADDRESS")]),s._v(" for all bonding periods equal to or greater than "),e("code",[s._v("1 day")]),s._v(" that are not unbonding:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query lockup account-locked-longer-duration-not-unlocking osmo1xqhlshlhs5g0acqgrkafdemvf5kz4pp4c2x259 86400s\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("An example output:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("locks:\n- ID: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"571839"')]),s._v("\n  coins:\n  - amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"16120691802759484268"')]),s._v("\n    denom: gamm/pool/3\n  duration: "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("604800")]),s._v(".000006193s\n  end_time: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"0001-01-01T00:00:00Z"')]),s._v("\n  owner: osmo1xqhlshlhs5g0acqgrkafdemvf5kz4pp4c2x259\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br"),e("span",{staticClass:"line-number"},[s._v("8")]),e("br")])]),e("p",[s._v("The "),e("code",[s._v("1 day")]),s._v(" bond does not show since it is in the process of unbonding.")])]),s._v(" "),e("h3",{attrs:{id:"account-locked-pasttime"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#account-locked-pasttime"}},[s._v("#")]),s._v(" account-locked-pasttime")]),s._v(" "),e("p",[s._v("Query the locked records of an account with the unlock time beyond timestamp (UNIX)")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query lockup account-locked-pasttime "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("[")]),s._v("address"),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("]")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("[")]),s._v("timestamp"),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("]")]),s._v("\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Here is an example of an account that is locked in both the "),e("code",[s._v("1 day")]),s._v(" and "),e("code",[s._v("1 week")]),s._v(" gamm/pool/3. In this example, the UNIX time is currently "),e("code",[s._v("1639776682")]),s._v(" and queries an "),e("code",[s._v("ADDRESS")]),s._v(" for UNIX time two days later from the current time (which in this example would be "),e("code",[s._v("1639971082")]),s._v(")")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query lockup account-locked-pasttime osmo1xqhlshlhs5g0acqgrkafdemvf5kz4pp4c2x259 "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("1639971082")]),s._v("\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("The example output:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("locks:\n- ID: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"572027"')]),s._v("\n  coins:\n  - amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"16120691802759484268"')]),s._v("\n    denom: gamm/pool/3\n  duration: "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("604800")]),s._v(".000006193s\n  end_time: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"0001-01-01T00:00:00Z"')]),s._v("\n  owner: osmo1xqhlshlhs5g0acqgrkafdemvf5kz4pp4c2x259\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br"),e("span",{staticClass:"line-number"},[s._v("8")]),e("br")])]),e("p",[s._v("Note that the "),e("code",[s._v("1 day")]),s._v(" lock ID did not display because, if the unbonding time began counting down from the time the command was executed, the bonding period would be complete before the two day window given by the UNIX timestamp input.")])]),s._v(" "),e("h3",{attrs:{id:"account-locked-pasttime-denom"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#account-locked-pasttime-denom"}},[s._v("#")]),s._v(" account-locked-pasttime-denom")]),s._v(" "),e("p",[s._v("Query the locked records of an account with the unlock time beyond timestamp (unix) and filter by a specific denom")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query lockup account-locked-pasttime-denom osmo1xqhlshlhs5g0acqgrkafdemvf5kz4pp4c2x259 "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("[")]),s._v("timestamp"),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("]")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("[")]),s._v("denom"),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("]")]),s._v("\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Here is an example of an account that is locked in both the "),e("code",[s._v("1 day")]),s._v(" and "),e("code",[s._v("1 week")]),s._v(" gamm/pool/3 and "),e("code",[s._v("1 day")]),s._v(" and "),e("code",[s._v("1 week")]),s._v(" gamm/pool/1. In this example, the UNIX time is currently "),e("code",[s._v("1639776682")]),s._v(" and queries an "),e("code",[s._v("ADDRESS")]),s._v(" for UNIX time two days later from the current time (which in this example would be "),e("code",[s._v("1639971082")]),s._v(") and filters for gamm/pool/3")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query lockup account-locked-pasttime-denom osmo1xqhlshlhs5g0acqgrkafdemvf5kz4pp4c2x259 "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("1639971082")]),s._v(" gamm/pool/3\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("The example output:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("locks:\n- ID: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"572027"')]),s._v("\n  coins:\n  - amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"16120691802759484268"')]),s._v("\n    denom: gamm/pool/3\n  duration: "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("604800")]),s._v(".000006193s\n  end_time: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"0001-01-01T00:00:00Z"')]),s._v("\n  owner: osmo1xqhlshlhs5g0acqgrkafdemvf5kz4pp4c2x259\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br"),e("span",{staticClass:"line-number"},[s._v("8")]),e("br")])]),e("p",[s._v("Note that the "),e("code",[s._v("1 day")]),s._v(" lock ID did not display because, if the unbonding time began counting down from the time the command was executed, the bonding period would be complete before the two day window given by the UNIX timestamp input. Additionally, neither of the "),e("code",[s._v("1 day")]),s._v(" or "),e("code",[s._v("1 week")]),s._v(" lock IDs for gamm/pool/1 showed due to the denom filter.")])]),s._v(" "),e("h3",{attrs:{id:"account-locked-pasttime-not-unlocking"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#account-locked-pasttime-not-unlocking"}},[s._v("#")]),s._v(" account-locked-pasttime-not-unlocking")]),s._v(" "),e("p",[s._v("Query the locked records of an account with the unlock time beyond timestamp (unix) AND is not in the process of unlocking")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query lockup account-locked-pasttime [address] [timestamp]\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Here is an example of an account that is locked in both the "),e("code",[s._v("1 day")]),s._v(" and "),e("code",[s._v("1 week")]),s._v(" gamm/pool/3. In this example, the UNIX time is currently "),e("code",[s._v("1639776682")]),s._v(" and queries an "),e("code",[s._v("ADDRESS")]),s._v(" for UNIX time two days later from the current time (which in this example would be "),e("code",[s._v("1639971082")]),s._v(") AND is not unlocking:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query lockup account-locked-pasttime osmo1xqhlshlhs5g0acqgrkafdemvf5kz4pp4c2x259 "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("1639971082")]),s._v("\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("The example output:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("locks:\n- ID: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"572027"')]),s._v("\n  coins:\n  - amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"16120691802759484268"')]),s._v("\n    denom: gamm/pool/3\n  duration: "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("604800")]),s._v(".000006193s\n  end_time: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"0001-01-01T00:00:00Z"')]),s._v("\n  owner: osmo1xqhlshlhs5g0acqgrkafdemvf5kz4pp4c2x259\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br"),e("span",{staticClass:"line-number"},[s._v("8")]),e("br")])]),e("p",[s._v("Note that the "),e("code",[s._v("1 day")]),s._v(" lock ID did not display because, if the unbonding time began counting down from the time the command was executed, the bonding period would be complete before the two day window given by the UNIX timestamp input. Additionally, if ID 572027 were to begin the unlocking process, the query would have returned blank.")])]),s._v(" "),e("h3",{attrs:{id:"account-unlockable-coins"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#account-unlockable-coins"}},[s._v("#")]),s._v(" account-unlockable-coins")]),s._v(" "),e("p",[s._v("Query an address's LP shares that have completed the unlocking period and are ready to be withdrawn")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query lockup account-unlockable-coins ADDRESS\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("h3",{attrs:{id:"account-unlocking-coins"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#account-unlocking-coins"}},[s._v("#")]),s._v(" account-unlocking-coins")]),s._v(" "),e("p",[s._v("Query an address's LP shares that are currently unlocking")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query lockup account-unlocking-coins [address]\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query lockup account-unlocking-coins osmo1xqhlshlhs5g0acqgrkafdemvf5kz4pp4c2x259\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("Example output:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("coins:\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"15527546134174465309"')]),s._v("\n  denom: gamm/pool/3\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"lock-by-id"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#lock-by-id"}},[s._v("#")]),s._v(" lock-by-id")]),s._v(" "),e("p",[s._v("Query a lock record by its ID")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query lockup lock-by-id [id]\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("Every time a user bonds tokens to an LP, a unique lock ID is created for that transaction.")]),s._v(" "),e("p",[s._v("Here is an example viewing the lock record for ID 9:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query lockup lock-by-id "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("9")]),s._v("\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("And its output:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("lock:\n  ID: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"9"')]),s._v("\n  coins:\n  - amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"2449472670508255020346507"')]),s._v("\n    denom: gamm/pool/2\n  duration: 1209600s\n  end_time: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"0001-01-01T00:00:00Z"')]),s._v("\n  owner: osmo16r39ghhwqjcwxa8q3yswlz8jhzldygy66vlm82\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br"),e("span",{staticClass:"line-number"},[s._v("8")]),e("br")])]),e("p",[s._v("In summary, this shows wallet "),e("code",[s._v("osmo16r39ghhwqjcwxa8q3yswlz8jhzldygy66vlm82")]),s._v(" bonded "),e("code",[s._v("2449472.670 gamm/pool/2")]),s._v(" LP shares for a "),e("code",[s._v("2 week")]),s._v(" locking period.")])]),s._v(" "),e("h3",{attrs:{id:"module-balance"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#module-balance"}},[s._v("#")]),s._v(" module-balance")]),s._v(" "),e("p",[s._v("Query the balance of all LP shares (bonded and unbonded)")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query lockup module-balance\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query lockup module-balance\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("An example output:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("coins:\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"118851922644152734549498647"')]),s._v("\n  denom: gamm/pool/1\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"2165392672114512349039263626"')]),s._v("\n  denom: gamm/pool/10\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"9346769826591025900804"')]),s._v("\n  denom: gamm/pool/13\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"229347389639275840044722315"')]),s._v("\n  denom: gamm/pool/15\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"81217698776012800247869"')]),s._v("\n  denom: gamm/pool/183\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"284253336860259874753775"')]),s._v("\n  denom: gamm/pool/197\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"664300804648059580124426710"')]),s._v("\n  denom: gamm/pool/2\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"5087102794776326441530430"')]),s._v("\n  denom: gamm/pool/22\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"178900843925960029029567880"')]),s._v("\n  denom: gamm/pool/3\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"64845148811263846652326124"')]),s._v("\n  denom: gamm/pool/4\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"177831279847453210600513"')]),s._v("\n  denom: gamm/pool/42\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"18685913727862493301261661338"')]),s._v("\n  denom: gamm/pool/5\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"23579028640963777558149250419"')]),s._v("\n  denom: gamm/pool/6\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"1273329284855460149381904976"')]),s._v("\n  denom: gamm/pool/7\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"625252103927082207683116933"')]),s._v("\n  denom: gamm/pool/8\n- amount: "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"1148475247281090606949382402"')]),s._v("\n  denom: gamm/pool/9\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br"),e("span",{staticClass:"line-number"},[s._v("8")]),e("br"),e("span",{staticClass:"line-number"},[s._v("9")]),e("br"),e("span",{staticClass:"line-number"},[s._v("10")]),e("br"),e("span",{staticClass:"line-number"},[s._v("11")]),e("br"),e("span",{staticClass:"line-number"},[s._v("12")]),e("br"),e("span",{staticClass:"line-number"},[s._v("13")]),e("br"),e("span",{staticClass:"line-number"},[s._v("14")]),e("br"),e("span",{staticClass:"line-number"},[s._v("15")]),e("br"),e("span",{staticClass:"line-number"},[s._v("16")]),e("br"),e("span",{staticClass:"line-number"},[s._v("17")]),e("br"),e("span",{staticClass:"line-number"},[s._v("18")]),e("br"),e("span",{staticClass:"line-number"},[s._v("19")]),e("br"),e("span",{staticClass:"line-number"},[s._v("20")]),e("br"),e("span",{staticClass:"line-number"},[s._v("21")]),e("br"),e("span",{staticClass:"line-number"},[s._v("22")]),e("br"),e("span",{staticClass:"line-number"},[s._v("23")]),e("br"),e("span",{staticClass:"line-number"},[s._v("24")]),e("br"),e("span",{staticClass:"line-number"},[s._v("25")]),e("br"),e("span",{staticClass:"line-number"},[s._v("26")]),e("br"),e("span",{staticClass:"line-number"},[s._v("27")]),e("br"),e("span",{staticClass:"line-number"},[s._v("28")]),e("br"),e("span",{staticClass:"line-number"},[s._v("29")]),e("br"),e("span",{staticClass:"line-number"},[s._v("30")]),e("br"),e("span",{staticClass:"line-number"},[s._v("31")]),e("br"),e("span",{staticClass:"line-number"},[s._v("32")]),e("br"),e("span",{staticClass:"line-number"},[s._v("33")]),e("br")])])]),s._v(" "),e("h3",{attrs:{id:"module-locked-amount"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#module-locked-amount"}},[s._v("#")]),s._v(" module-locked-amount")]),s._v(" "),e("p",[s._v("Query the balance of all bonded LP shares")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query lockup module-locked-amount\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query lockup module-locked-amount\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("An example output:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("{")]),s._v("\n  "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"coins"')]),e("span",{pre:!0,attrs:{class:"token builtin class-name"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("[")]),s._v("\n    "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("{")]),s._v("\n      "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"denom"')]),e("span",{pre:!0,attrs:{class:"token builtin class-name"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"gamm/pool/1"')]),s._v(",\n      "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"amount"')]),e("span",{pre:!0,attrs:{class:"token builtin class-name"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"247321084020868094262821308"')]),s._v("\n    "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("}")]),s._v(",\n    "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("{")]),s._v("\n      "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"denom"')]),e("span",{pre:!0,attrs:{class:"token builtin class-name"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"gamm/pool/10"')]),s._v(",\n      "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"amount"')]),e("span",{pre:!0,attrs:{class:"token builtin class-name"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"2866946821820635047398966697"')]),s._v("\n    "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("}")]),s._v(",\n    "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("{")]),s._v("\n      "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"denom"')]),e("span",{pre:!0,attrs:{class:"token builtin class-name"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"gamm/pool/13"')]),s._v(",\n      "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"amount"')]),e("span",{pre:!0,attrs:{class:"token builtin class-name"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"9366580741745176812984"')]),s._v("\n    "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("}")]),s._v(",\n    "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("{")]),s._v("\n      "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"denom"')]),e("span",{pre:!0,attrs:{class:"token builtin class-name"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"gamm/pool/15"')]),s._v(",\n      "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"amount"')]),e("span",{pre:!0,attrs:{class:"token builtin class-name"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"193294911294343602187680438"')]),s._v("\n    "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("}")]),s._v(",\n    "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("{")]),s._v("\n      "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"denom"')]),e("span",{pre:!0,attrs:{class:"token builtin class-name"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"gamm/pool/183"')]),s._v(",\n      "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"amount"')]),e("span",{pre:!0,attrs:{class:"token builtin class-name"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"196722012808526595790871"')]),s._v("\n    "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("}")]),s._v(",\n    "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("{")]),s._v("\n      "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"denom"')]),e("span",{pre:!0,attrs:{class:"token builtin class-name"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"gamm/pool/197"')]),s._v(",\n      "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"amount"')]),e("span",{pre:!0,attrs:{class:"token builtin class-name"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"1157025085661167198918241"')]),s._v("\n    "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("}")]),s._v(",\n    "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("{")]),s._v("\n      "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"denom"')]),e("span",{pre:!0,attrs:{class:"token builtin class-name"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"gamm/pool/2"')]),s._v(",\n      "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"amount"')]),e("span",{pre:!0,attrs:{class:"token builtin class-name"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"633051132033131378888258047"')]),s._v("\n    "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("}")]),s._v(",\n    "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("{")]),s._v("\n      "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"denom"')]),e("span",{pre:!0,attrs:{class:"token builtin class-name"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"gamm/pool/22"')]),s._v(",\n      "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"amount"')]),e("span",{pre:!0,attrs:{class:"token builtin class-name"}},[s._v(":")]),s._v(" "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"3622601406125950733194696"')]),s._v("\n    "),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("}")]),s._v(",\n"),e("span",{pre:!0,attrs:{class:"token punctuation"}},[s._v("..")]),s._v(".\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br"),e("span",{staticClass:"line-number"},[s._v("2")]),e("br"),e("span",{staticClass:"line-number"},[s._v("3")]),e("br"),e("span",{staticClass:"line-number"},[s._v("4")]),e("br"),e("span",{staticClass:"line-number"},[s._v("5")]),e("br"),e("span",{staticClass:"line-number"},[s._v("6")]),e("br"),e("span",{staticClass:"line-number"},[s._v("7")]),e("br"),e("span",{staticClass:"line-number"},[s._v("8")]),e("br"),e("span",{staticClass:"line-number"},[s._v("9")]),e("br"),e("span",{staticClass:"line-number"},[s._v("10")]),e("br"),e("span",{staticClass:"line-number"},[s._v("11")]),e("br"),e("span",{staticClass:"line-number"},[s._v("12")]),e("br"),e("span",{staticClass:"line-number"},[s._v("13")]),e("br"),e("span",{staticClass:"line-number"},[s._v("14")]),e("br"),e("span",{staticClass:"line-number"},[s._v("15")]),e("br"),e("span",{staticClass:"line-number"},[s._v("16")]),e("br"),e("span",{staticClass:"line-number"},[s._v("17")]),e("br"),e("span",{staticClass:"line-number"},[s._v("18")]),e("br"),e("span",{staticClass:"line-number"},[s._v("19")]),e("br"),e("span",{staticClass:"line-number"},[s._v("20")]),e("br"),e("span",{staticClass:"line-number"},[s._v("21")]),e("br"),e("span",{staticClass:"line-number"},[s._v("22")]),e("br"),e("span",{staticClass:"line-number"},[s._v("23")]),e("br"),e("span",{staticClass:"line-number"},[s._v("24")]),e("br"),e("span",{staticClass:"line-number"},[s._v("25")]),e("br"),e("span",{staticClass:"line-number"},[s._v("26")]),e("br"),e("span",{staticClass:"line-number"},[s._v("27")]),e("br"),e("span",{staticClass:"line-number"},[s._v("28")]),e("br"),e("span",{staticClass:"line-number"},[s._v("29")]),e("br"),e("span",{staticClass:"line-number"},[s._v("30")]),e("br"),e("span",{staticClass:"line-number"},[s._v("31")]),e("br"),e("span",{staticClass:"line-number"},[s._v("32")]),e("br"),e("span",{staticClass:"line-number"},[s._v("33")]),e("br"),e("span",{staticClass:"line-number"},[s._v("34")]),e("br"),e("span",{staticClass:"line-number"},[s._v("35")]),e("br")])]),e("p",[s._v("NOTE: This command seems to only work on gRPC and on CLI returns an EOF error.")])]),s._v(" "),e("h3",{attrs:{id:"output-all-locks"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#output-all-locks"}},[s._v("#")]),s._v(" output-all-locks")]),s._v(" "),e("p",[s._v("Output all locks into a json file")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query lockup output-all-locks [max lock ID]\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("This example command outputs locks 1-1000 and saves to a json file:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query lockup output-all-locks "),e("span",{pre:!0,attrs:{class:"token number"}},[s._v("1000")]),s._v("\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("div",{staticClass:"custom-block warning"},[e("p",{staticClass:"custom-block-title"},[s._v("Note")]),s._v(" "),e("p",[s._v('If a lockup has been completed, the lockup status will show as "0" (or successful) and no further information will be available. To get further information on a completed lock, run the lock-by-id query.')])])]),s._v(" "),e("h3",{attrs:{id:"total-locked-of-denom"}},[e("a",{staticClass:"header-anchor",attrs:{href:"#total-locked-of-denom"}},[s._v("#")]),s._v(" total-locked-of-denom")]),s._v(" "),e("p",[s._v("Query locked amount for a specific denom in the duration provided")]),s._v(" "),e("div",{staticClass:"language- line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-text"}},[e("code",[s._v("osmosisd query lockup total-locked-of-denom [denom] --min-duration\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("details",{staticClass:"custom-block details"},[e("summary",[s._v("Example")]),s._v(" "),e("p",[s._v("This example command outputs the amount of "),e("code",[s._v("gamm/pool/2")]),s._v(" LP shares that locked in the "),e("code",[s._v("2 week")]),s._v(" bonding period:")]),s._v(" "),e("div",{staticClass:"language-bash line-numbers-mode"},[e("pre",{pre:!0,attrs:{class:"language-bash"}},[e("code",[s._v("osmosisd query lockup total-locked-of-denom gamm/pool/2 --min-duration "),e("span",{pre:!0,attrs:{class:"token string"}},[s._v('"1209600s"')]),s._v("\n")])]),s._v(" "),e("div",{staticClass:"line-numbers-wrapper"},[e("span",{staticClass:"line-number"},[s._v("1")]),e("br")])]),e("p",[s._v("Which, at the time of this writing outputs "),e("code",[s._v("14106985399822075248947045")]),s._v(" which is equivalent to "),e("code",[s._v("14106985.3998 gamm/pool/2")])]),s._v(" "),e("p",[s._v("NOTE: As of this writing, there is a bug that defaults the min duration to days instead of seconds. Ensure you specify the time in seconds to get the correct response.\n:::")])])])}),[],!1,null,null,null);a.default=t.exports}}]);